<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.ym.mec.education.mapper.TeacherLeaveRecordMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="com.ym.mec.education.entity.TeacherLeaveRecord">
        <id column="id_" property="id" />
        <result column="user_id_" property="userId" />
        <result column="days_" property="days" />
        <result column="leaveCategoryId" property="leave_category_id_" />
        <result column="status_" property="status" />
        <result column="remark_" property="remark" />
        <result column="create_time_" property="createTime" />
        <result column="update_time_" property="updateTime" />
        <result column="start_time_" property="startTime" />
        <result column="end_time_" property="endTime" />
        <result column="courses_schedule_json_" property="coursesScheduleJson" />
        <result column="wf_process_id_" property="wfProcessId" />
        <result column="wf_order_id_" property="wfOrderId" />
    </resultMap>

    <!-- 通用查询结果列 -->
    <sql id="Base_Column_List">
        id_, user_id_, days_, type_, status_, remark_, create_time_, update_time_
    </sql>

</mapper>
